<?php

/*
 * This file is part of Resume.PHP.
 *
 * (copyleft) R. Eric Wheeler <sikofitt@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 *
 */

namespace Sikofitt\Config;

trait ConfigTrait
{
    /**
     * @param $name
     * @param null $value
     * @return mixed
     */
    public function config($name, $value = null)
    {
        if (strcasecmp($name, 'all') === 0) {
            return $this['config']->all();
        }
        if (null === $value) {
            return $this['config']->get($name);
        } else {
            $this['config']->set($name, $value);
        }
    }
}
