<?php

/*
 * This file is part of Resume.PHP.
 *
 * (copyleft) R. Eric Wheeler <sikofitt@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * This file is part of resume.
 *
 * @file ProfileIconInterface.php
 *
 * R. Eric Wheeler <reric@ee.stanford.edu>
 *
 * 7/7/16 / 7:16 AM
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Sikofitt\Image\Profile;

/**
 * Interface ProfileIconInterface
 * @package Sikofitt\Image\Profile
 */
interface ProfileIconInterface
{

    /**
   * @return string
   *    The name of the network.
   */
  public function getName();

  /**
   * @return string
   *   The default url prefix if no url was given.
   *   (e.g. https://twitter.com for twitter, https://facebook.com for facebook.)
   */
  public function getDefaultUrl();
  /**
   * @return string
   *    The social icon.
   *    Can be a url, a relative path, or base64 encoded uri.
   */
  public function getIcon();
}
